%define upstream_name    Devel-Dumpvar
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    A pure-OO reimplementation of dumpvar.pl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz
# Update Makefile.PL to not use Module::Install::DSL CPAN RT#148289
Patch0:        Devel-Dumpvar-1.06-Remove-using-of-MI-DSL.patch

BuildRequires: perl(File::Spec)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
Most perl dumping modules are focused on serializing data structures into a
format that can be rebuilt into the original data structure. They do this
with a variety of different focuses, such as human readability, the ability
to execute the dumped code directly, or to minimize the size of the dumped
data.

Except for the one contained in the debugger, in the file dumpvar.pl. This
is a much more human-readable form, highly useful for debugging, containing
a lot of extra information without the burden of needing to allow the dump
to be re-assembled into the original data.

The main downside of the dumper in the perl-debugger is that the dumpvar.pl
script is not really a readily loadable and useable module. It has
dedicated hooks from and to the debugger, and spans across multiple
namespaces, including main::.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README LICENSE Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jun 25 2024 daviddavid <daviddavid> 1.60.0-14.mga10
+ Revision: 2076559
- Update Makefile.PL to not use Module::Install::DSL
- remove perl(inc::Module::Install::DSL) as build dependency

* Sun Mar 20 2022 umeabot <umeabot> 1.60.0-13.mga9
+ Revision: 1808761
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-12.mga8
+ Revision: 1503822
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.60.0-11.mga7
+ Revision: 1282783
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.60.0-10.mga7
+ Revision: 1164059
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 1.60.0-9.mga7
+ Revision: 1158643
- add BR on perl(inc::Module::Install::DSL)

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-8.mga6
+ Revision: 1025504
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.60.0-7.mga6
+ Revision: 949493
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.60.0-6.mga5
+ Revision: 789894
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-5.mga5
+ Revision: 741939
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-4.mga5
+ Revision: 684315
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 510836
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 365741
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 31913
- mageia rebuild
- imported package perl-Devel-Dumpvar

